import _assocIndexOf_default from "./_assocIndexOf.js";
var splice = Array.prototype.splice;
function listCacheDelete(n) {
	var r = this.__data__, i = _assocIndexOf_default(r, n);
	return i < 0 ? !1 : (i == r.length - 1 ? r.pop() : splice.call(r, i, 1), --this.size, !0);
}
var _listCacheDelete_default = listCacheDelete;
export { _listCacheDelete_default as default };
